New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Receiving errors installing MSYS2, Installation failed: pacman failed. (I didn't choose option 3) #101

Closed
arye-dov-eidelman opened this Issue Feb 22, 2018 · 3 comments

Comments

Projects
None yet
2 participants
@arye-dov-eidelman

arye-dov-eidelman commented Feb 22, 2018

What problems are you experiencing?

Receiving errors installing MSYS2
MSYS2 system update failed
Installation failed: pacman failed

Steps to reproduce

Install rubyinstaller-2.4.3-1-x64.exe with all the default options
when the MSYS2 installer starts in the command prompt hit enter without choosing a number
when then the MSYS2 64bit Setup window opens keek everything at the default and continue

The console output is:

 _____       _           _____           _        _ _         ___
|  __ \     | |         |_   _|         | |      | | |       |__ \
| |__) |   _| |__  _   _  | |  _ __  ___| |_ __ _| | | ___ _ __ ) |
|  _  / | | | '_ \| | | | | | | '_ \/ __| __/ _` | | |/ _ \ '__/ /
| | \ \ |_| | |_) | |_| |_| |_| | | \__ \ || (_| | | |  __/ | / /_
|_|  \_\__,_|_.__/ \__, |_____|_| |_|___/\__\__,_|_|_|\___|_||____|
                    __/ |           _
                   |___/          _|_ _  __   | | o __  _| _     _
                                   | (_) |    |^| | | |(_|(_)\^/_>

   1 - MSYS2 base installation
   2 - MSYS2 system update
   3 - MSYS2 and MINGW development toolchain

Which components shall be installed? If unsure press ENTER [1,2,3]

MSYS2 seems to be unavailable
Download http://repo.msys2.org/distrib/x86_64/msys2-x86_64-20161025.exe
  to C:\Users\HP\AppData\Local\Temp/msys2-x86_64-20161025.exe
Downloading msys2-x86_64-20161025.exe (100%)
Verify integrity of msys2-x86_64-20161025.exe ... OK
Run the MSYS2 installer ...
> C:\Users\HP\AppData\Local\Temp/msys2-x86_64-20161025.exe
 Success
MSYS2 system update part 1  ...
> pacman -Syu --needed --noconfirm
:: Synchronizing package databases...
 mingw32                              382.8 KiB   667K/s 00:01 [#################################] 100%
 mingw32.sig                           96.0   B  0.00B/s 00:00 [#################################] 100%
 mingw64                              382.8 KiB   347K/s 00:01 [#################################] 100%
 mingw64.sig                           96.0   B  0.00B/s 00:00 [#################################] 100%
 msys                                 160.2 KiB  66.8K/s 00:02 [#################################] 100%
 msys.sig                              95.0   B  0.00B/s 00:00 [#################################] 100%
:: Starting core system upgrade...
warning: terminate other MSYS2 programs before proceeding
resolving dependencies...
looking for conflicting packages...
:: msys2-runtime and catgets are in conflict. Remove catgets? [y/N]
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: msys2-runtime and catgets are in conflict
MSYS2 system update failed
Installation failed: pacman failed

   1 - MSYS2 base installation
   2 - MSYS2 system update
   3 - MSYS2 and MINGW development toolchain

Which components shall be installed? If unsure press ENTER []

What's the output from ridk version?

ruby:
  path: C:/Ruby24-x64
  version: 2.4.3
  platform: x64-mingw32
ruby_installer:
  package_version: 2.4.3-1
  git_commit: 36aac73
msys2:
  path: C:\msys64
  title: MSYS2 64bit
  version: '20161025'
sh: GNU bash, version 4.3.46(2)-release (x86_64-pc-msys)
os: Microsoft Windows [Version 10.0.16299.248]

in a previes attempt it was slightly different

ruby:
  path: C:/Ruby24-x64
  version: 2.4.3
  platform: x64-mingw32
ruby_installer:
  package_version: 2.4.3-1
  git_commit: 36aac73
msys2:
  path: C:\msys64
  title: MSYS2 64bit
  version: '20161025'
cc: x86_64-w64-mingw32-gcc (Rev1, Built by MSYS2 project) 7.3.0
sh: GNU bash, version 4.3.46(2)-release (x86_64-pc-msys)
os: Microsoft Windows [Version 10.0.16299.248]

capture

@larskanis

This comment has been minimized.

Member

larskanis commented Feb 23, 2018

I'll fix this issue in the next release. You can work around by:

ridk exec pacman -Rdd catgets libcatgets --noconfirm
ridk install 2 3

@larskanis larskanis closed this in e90cc04 Feb 24, 2018

@arye-dov-eidelman

This comment has been minimized.

arye-dov-eidelman commented Feb 25, 2018

thanks it's working now

@larskanis

This comment has been minimized.

Member

larskanis commented Feb 28, 2018

This issue is still in discussion on MSYS2. For the time being I have updated RubyInstaller to 2.5.0-2 and 2.4.3-2, which add a workaround for this issue, so that fresh installations shouldn't fail any longer.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment